package com.tenlionsoft.aimz_k.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.Index
import androidx.room.PrimaryKey
import java.io.Serializable


@Entity(tableName = "db_msg", indices = [Index(value = ["loginUserId", "timestamp"])])
data class MsgBean(
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
    @ColumnInfo(name = "messageId")
    var messageId: String?,           //消息唯一ID
    @ColumnInfo(name = "messageType")
    var messageType: String?,          //消息类型
    @ColumnInfo(name = "customMessageType")
    var customMessageType: String?,    //预留
    @ColumnInfo(name = "metadata")
    var metadata: String?,
    @ColumnInfo(name = "receiverId")
    var receiverId: String?,             //接受人ID
    @ColumnInfo(name = "receiverType")
    var receiverType: String?,           //接受人Type
    @ColumnInfo(name = "receiverAvatar")
    var receiverAvatar: String?,           //接收人头像
    @ColumnInfo(name = "receiverNickName")
    var receiverNickName: String?,           //接收人昵称
    @ColumnInfo(name = "senderId")
    var senderId: String?,               //发送人ID
    @ColumnInfo(name = "senderType")
    var senderType: String?,             //发送人类型
    @ColumnInfo(name = "senderAvatar")
    var senderAvatar: String?,            //发送人头像
    @ColumnInfo(name = "senderNickName")
    var senderNickName: String?,          //发送人昵称
    @ColumnInfo(name = "timestamp")
    var timestamp: Long?,                //时间戳
    @ColumnInfo(name = "body")
    var body: String?,                   //消息体
    @ColumnInfo(name = "msgType")
    var msgType: Int?,                   //标识是发送的消息类型和接收还是发送
    @ColumnInfo(name = "status")
    var status: String?,  //发送状态 11发送中   12发送失败  13发送成功
    @ColumnInfo(name = "userNickName")
    var userNickName: String?,           //用户昵称
    @ColumnInfo(name = "avatar")
    var userAvatar: String?,             //用户头像
    @ColumnInfo(name = "loginUserId")
    var loginUserId: String?              //当前登录人
    /**
     * 信息类型
     * <p>
     * 110 我发给其他人的文本信息
     * 111 其他人发送给我的文本信息
     * <p>
     * 121 我发送给其他人语音信息
     * 122 其他人发送给我的语音信息
     * <p>
     * 131 我发给其他人的图片信息
     * 132 其他人发送给我的图片信息
     * <p>
     * 141 我发送给其他人的视频信息
     * 142 其他人发送给我的视频信息
     * <p>
     * 151 我发送给其他人的文件信息
     * 152 其他人发送给我的文件信息
     */
) : Serializable