package com.tenlionsoft.aimz_k.page.activity

import android.content.Intent
import android.view.View
import androidx.databinding.DataBindingUtil
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivityApplyContactBinding
import com.tenlionsoft.aimz_k.viewmodel.ApplyContactViewModel
import com.tenlionsoft.baselib.base.BaseActivity

class ApplyContactActivity : BaseActivity() {
    private lateinit var mBind: ActivityApplyContactBinding
    private lateinit var viewModel: ApplyContactViewModel
    override fun bindView() {
        mBind = DataBindingUtil.setContentView(this, R.layout.activity_apply_contact)
        viewModel = ViewModelProvider(this, object : ViewModelProvider.Factory {
            override fun <T : ViewModel> create(modelClass: Class<T>): T {
                return ApplyContactViewModel(
                    this@ApplyContactActivity.applicationContext
                ) as T
            }
        })[ApplyContactViewModel::class.java]
        mBind.model = viewModel
        mBind.lifecycleOwner = this
        mBind.llSearchTitle.llLoad.visibility = View.GONE
        mBind.llSearchTitle.llSearchLayout.setOnClickListener {
            startActivity(Intent(this@ApplyContactActivity, SearchContactActivity::class.java))
            finish()
        }
        mBind.ivBack.setOnClickListener { finish() }
        mBind.srlContent.setEnableLoadMore(false)
        mBind.srlContent.setOnRefreshListener {
            viewModel.doRefresh()
            mBind.srlContent.finishRefresh()
        }
    }
}