package com.tenlionsoft.aimz_k.page.activity

import android.content.Intent
import androidx.databinding.DataBindingUtil
import androidx.lifecycle.ViewModelProvider
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivityLoginBinding
import com.tenlionsoft.aimz_k.viewmodel.LoginPageViewModel
import com.tenlionsoft.baselib.base.BaseActivity
import com.tenlionsoft.baselib.widget.LoadingDialog

class LoginActivity : BaseActivity() {
    private lateinit var mBinding: ActivityLoginBinding
    private var mLoading: LoadingDialog? = null
    private val loginPageViewModel: LoginPageViewModel by lazy {
        ViewModelProvider(this)[LoginPageViewModel::class.java]
    }


    override fun bindView() {
        mBinding = DataBindingUtil.setContentView(this, R.layout.activity_login)
        mBinding.loginModel = loginPageViewModel
        mBinding.lifecycleOwner = this
        loginPageViewModel.showLoadDialog.observe(this) {
            if (it) {
                //显示loading
                mLoading = LoadingDialog.Builder(this)
                    .setCancelOutside(false)
                    .setCancelable(false)
                    .setMessage("登陆中...")
                    .create()
                mLoading!!.show()
                mBinding.btnLogin.isEnabled = false
            } else {
                //隐藏loading
                mLoading?.dismiss()
                mLoading = null
                mBinding.btnLogin.isEnabled = true
            }
        }
        loginPageViewModel.isLoginSuccess.observe(this) {
            if (it) {
                startActivity(Intent(this@LoginActivity, MainActivity::class.java))
                finish()
            }
        }
    }
}