package com.tenlionsoft.aimz_k.viewmodel

import android.content.Context
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.tenlionsoft.aimz_k.net.BaseApi
import com.tenlionsoft.baselib.base.BaseViewModel
import com.tenlionsoft.baselib.contacts.ProjectConfig
import com.tenlionsoft.baselib.net.ExParse
import com.tenlionsoft.baselib.net.RetrofitClient
import com.tenlionsoft.baselib.utils.AppUtils
import kotlinx.coroutines.launch

class MainPageViewModel : BaseViewModel() {
    val isNeedDownload = MutableLiveData<Boolean>(false)

    //校验Appversion
    fun doCheckAppVersion(context: Context) {
        viewModelScope.launch {
            getAppVersion(context)
        }
    }

    private suspend fun getAppVersion(context: Context) {
        try {
            val appVersion = RetrofitClient.getInstance(context)
                .create(BaseApi::class.java)
                .doCheckAppVersion(ProjectConfig.APP_VERSION_ID)
            if (appVersion.versioncode.isNotEmpty()) {
                val isNeedUpdate = AppUtils.checkcode(appVersion.versioncode)
                if (isNeedUpdate) {
                    isNeedDownload.value = true
                }
            }
        } catch (e: Exception) {
            ExParse.parse(e)
        }
    }
}
