package com.tenlionsoft.baselib.contacts

import com.google.gson.Gson
import okhttp3.MediaType.Companion.toMediaTypeOrNull
import okhttp3.MultipartBody
import okhttp3.RequestBody
import okhttp3.RequestBody.Companion.asRequestBody
import okhttp3.RequestBody.Companion.toRequestBody
import java.io.File

object NetConfig {
    const val BASE_URL = "http://192.168.0.26:8888/"

    const val WS_URL = "ws://192.168.0.26:1991/";//Socket连接地址

    const val MAIN_URL = BASE_URL + "system/"

    const val AI_URL = BASE_URL + "aimz/"
    const val FILE_DOWNLOAD_URL = MAIN_URL + "api/file/download/"  //需要拼接fileid
}

fun <T> T.toBody(): RequestBody {
    val gson = Gson()
    val str = gson.toJson(this)
    return str.toRequestBody("application/json; charset=utf-8".toMediaTypeOrNull())
}

fun File.toFileBody(paramsStr: String): MultipartBody.Part {
    val requestFile: RequestBody = this.asRequestBody("multipart/form-data".toMediaTypeOrNull())
    return MultipartBody.Part.createFormData(paramsStr, this.getName(), requestFile)
}