package com.tenlionsoft.baselib.widget

import android.view.View
import androidx.viewpager2.widget.ViewPager2
import kotlin.math.abs

class FadePageTransformer : ViewPager2.PageTransformer {
    override fun transformPage(page: View, position: Float) {
        if (position <= -1.0F) {
            // 页面已经在屏幕左侧消失，完全透明
            page.setAlpha(0.0F);
        } else if (position < 1.0F) {
            // 根据位置计算透明度，实现淡入淡出效果
            page.setAlpha(1.0F - abs(position));
        } else {
            // 页面已经在屏幕右侧消失，完全透明
            page.setAlpha(0.0F);
        }
    }
}